Subject: Re: bug#42723: 28.0.50; cconv-tests fails on Macos

From: Stefan Kangas <[email-masked]>
Date: Thu, 6 Aug 2020 01:59:48 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Running 14 tests (2020-08-05 21:32:02+0200, selector `(not (or (tag :expensive-test) (tag :unstable)))')
>    passed   1/14  cconv-convert-lambda-lifted (0.000360 sec)
> Type C-x 1 to delete the help window, C-M-v to scroll help.
>    failed   2/14  cconv-tests-cl-defgeneric-:documentation (0.033138 sec)
> Type C-x 1 to delete the help window, C-M-v to scroll help.
>    passed   3/14  cconv-tests-cl-defgeneric-literal-:documentation (0.025397 sec)
>    passed   4/14  cconv-tests-cl-defsubst-:documentation (0.000081 sec)
>    passed   5/14  cconv-tests-cl-defun-:documentation (0.000073 sec)
>    failed   6/14  cconv-tests-cl-function-:documentation (0.000111 sec)
> Test cconv-tests-cl-iter-defun-:documentation passed unexpectedly
>    PASSED   7/14  cconv-tests-cl-iter-defun-:documentation (0.000054 sec)
>    passed   8/14  cconv-tests-defsubst-:documentation (0.000046 sec)
>    passed   9/14  cconv-tests-defun-:documentation (0.000046 sec)
>    passed  10/14  cconv-tests-function-:documentation (0.000046 sec)
> Test cconv-tests-iter-defun-:documentation passed unexpectedly
>    PASSED  11/14  cconv-tests-iter-defun-:documentation (0.000050 sec)
>    failed  12/14  cconv-tests-iter-lambda-:documentation (0.000081 sec)
>    passed  13/14  cconv-tests-lambda-:documentation (0.000050 sec)
>    passed  14/14  cconv-tests-pcase-lambda-:documentation (0.000050 sec)
>
> Ran 14 tests, 12 results as expected, 2 unexpected (2020-08-05 21:32:02+0200, 0.060335 sec)
> 3 expected failures

These tests were added in:

commit b0e828da4f55d0dddcd8f8fc2e21e4b02a12852e
Author: Stefan Kangas <[email-masked]>
Date:   Fri Jul 31 06:09:09 2020 +0200

    Add new cconv-tests (Bug#28557)

    These tests are all written by Gemini Lasswell <[email-masked]>.

I guess the failing tests should just be marked unstable for now. I'll
do that when I find some time if no one beats me to it.

I'm not sure, but maybe the "expected failures" should also properly
be marked as unstable instead since they reflect unresolved bugs.

Best regards,
Stefan Kangas